﻿*start
;背景とキャラクター操作を簡略化するライブラリの呼び出し
[call target=*start storage="tyrano.ks"]
@layopt layer=message0 visible=false
[title name="脱出サバイバル"]

;背景画像を設定 
[image layer="base" page="fore" storage=back.jpg]

[locate x=450 y=300 ]
[button graphic="start.png" target=*first]

[locate x=450 y=360 ]
[button graphic="load.png" target=*loadmenu]

[s]

;つづきからボタンが押された場合。ロード画面を表示
*loadmenu
[cm]
[showload]

[jump target=*start]
[s]

;ストーリー最初から
*first
[cm]
[freeimage layer=1]
@layopt layer=message0 visible=true

;キャラ定義
[chara_new name="asaka" storage="asakanomal.png"]
[chara_new name="ikaru" storage="ikarunomal.png"]
[chara_new name="BAT" storage="BAT.png"]


;ここまでシステム諸々

[cm]
[back storage=black.jpg time=1000]
[position height=160 top=300]
今日のホームルーム中、担任から、[r]
クラスメイトの1人が死んだと伝えられた。[p]

自殺したらしい。でも、自分には関係ない。[r]
皆、それぞれの人生があるのだから。[p]

そう思って、家に帰ろうとしたとき、何者かによって、意識が途切れた。[p]

*noload
;教室
[back storage=room.jpg time=3000]

[r]
「……ここは、教室？」[p]
運ばれてきたらしい。でも、どうして机も何もない教室に？[p]

[chara_show name="asaka" ]
【アサカ】[r]
「気づいた？　私たちもずっとここに閉じ込められてたの」[p]

クラスメイトのアサカさんだ。[p]

[chara_mod name="asaka" storage="asakasad.png"]
【アサカ】[r]
「イカル君がドアを開けようとしたんだけど開かないの……」[p]

視線を動かすと、その先にイカル君がいた。[p]

[chara_show name="ikaru" ]
【イカル】[r]
「マジで何なんだよ。出られねーとか」[p]

イカル君も、クラスメイトの1人。[r]
性格は荒々しいけど自分とはそこそこ付き合いがある。[p]

[playse storage=voice.mp3 loop=false ]
[chara_mod name="asaka" storage="asakaflag.png"]
『みなさんお目覚めのようで。おはよぉございまーす！』[p]
[stopse]

;揺れる
[quake count=2 time=50]

何だ、今の声は。[r]
能天気で、不快で、変な声だな。[p]

『えー。今日もいい天気ですねー』[p]

どうやら、教室のスピーカーから流れているらしい。[p]

[chara_mod name="asaka" storage="asakaangry.png"]
【アサカ】[r]
「……ちょっと！　なんで私がこんな目に遭わなきゃいけないの！」[p]
[chara_mod name="ikaru" storage="ikarukind.png"]
【イカル】[r]
「おい、こっちの声なんて聞こえてねーだろ……」[p]

『やだなぁ。ちゃんと聞いてますよぉ。[r]
ついでに小型カメラもありますよぉ。[r]
じゃないと全員起きたとかわからないでしょ！』[p]
『もしかして馬鹿ですか？』[p]
[chara_mod name="ikaru" storage="ikaruangry.png"]
【イカル】[r]
「ぶっ殺すぞてめえ！」[p]
『はいはい。それはここから出たあとでね。[r]
それじゃ、パンパカパーン！　ルール説明ですよ！』[p]
敬語なのかわかりにくい話し方だ……。[p]

[chara_mod name="asaka" storage="asakanomal.png"]
【アサカ】[r]
「ルール？　何の？」[p]
『大切なルール説明ですよぉ。ぜひとも……』[p]

[font size=40 bold=true]
『耳の穴かっぽじってよく聞きやがれぇーい！』[p]
[resetfont]
[chara_mod name="ikaru" storage="ikarunomal.png"]
【イカル】[r]
「俺ら舐めてんのか？　こいつ……」[p]
『まずひとつ！　この学校から脱出してください』[p]
イカル君無視かい。[p]
[chara_mod name="asaka" storage="asakaangry.png"]
【アサカ】[r]
「そんなの当たり前！　言われなくても出てってやるって！」[p]
『はいー、ふたつめ。[r]
……脱出できるのはー、1人だけです！』[p]
[playbgm storage="music.mp3"]
……1人だけ？[p]
[chara_mod name="ikaru" storage="ikaruangry.png"]
【イカル】[r]
「――どういうことだよ！」[p]
『はいはい。黙ってくださいねー。[r]
その1人を決めるために今説明してるんです！』[p]
『えー、……あ、もういいや。とにかく殺し合いね。[r]
生き残った1人を、ここから出してあげます！」[p]
[r]
「……じゃ、残り2人は、死ぬ？」[p]
『でも安心して！　武器をひとつだけ置いておきました！　罠もね！』[p]
[r]
「罠？」[p]
『えーっと、基本的には、一度発動したら発動しないよ。[r]
でもね、死んじゃうよ。例えばそこの窓』[p]
[chara_mod name="ikaru" storage="ikarukind.png"]
【イカル】[r]
「そっか。窓ガラス割れば出れたな」[p]
『壊したら死にます』[p]
[chara_mod name="ikaru" storage="ikarunomal.png"]
【イカル】[r]
「……！」[p]
『正面玄関以外から出ようとすると撃たれちゃいますよ！[r]
銃とか結構お金かかったんだからね！　人数揃えるのもね！』[p]
『ま、頑張ってー』[p]
[fadeoutbgm time=3000]
[chara_mod name="asaka" storage="asakanomal.png"]
【アサカ】[r]
「……」[p]
【イカル】[r]
「……」[p]
[r]
「……」[p]
3人揃って、互いを見つめ合う。[p]
この中の『1人だけ』が生き残るなんて……。[p]
でも、やるしかないみたいだ。[p]

;カチャッ

『さて、鍵開けたし、とりあえず、さっさと教室から出ましょっか！』[p]
『出ないとぉ……皆殺しちゃおうかな？』[p]
[chara_mod name="asaka" storage="asakaflag.png"]
【アサカ】[r]
「殺す？　……い、嫌！[r]
先に、あんた達のどっちか行ってよ！」[p]
【イカル】[r]
「……」[p]
2人が睨めつける。……怖いけど、行くしかない。[p]

[chara_hide name="ikaru" ]
[chara_hide name="asaka" ]

まさか、最初で死ぬなんて。あるはず……[p]
;扉ガラガラ 廊下
[back storage=rouka.jpg time=500]

……なかった。あっさり通れた。[p]
【イカル】[r]
「無事か。罠はなさそうだな。って、おい！」[p]
無事を確認するやいなや、アサカさんがこっちへ走ってきた。[p]
……が。[p]
;倒れる CG
[back storage=asakaibe.jpg time=500]
転んだ。……というか、転ばされたような感じだ。[p]
【イカル】[r]
「お、俺じゃねえよ！？　俺、突き飛ばしてないって！[r]
よく分かんないけど後ろから何か飛んできたんだよ！」[p]
【アサカ】[r]
「……あれ、立てない。なんで？　ね、なんでなの？[r]
え？　何で？　…………あれ？」[p]
カチャッ[p]
音がした。[l][r]
アサカさんが倒れている扉の前の、ちょうど上からだ。[p]
【アサカ】[r]
「…………え」[p]
[back storage=black.jpg time=10]
;ムービー
[movie storage="asaka.mp4" skip=true ][l]
;ムービースクショ
[back storage=asakasibou.jpg time=100]
！[p]
[r]
[quake count=5 time=50]
「わああああああっ！」[p]
アサカさんが、潰されて死んだ……！[p]
【イカル】[r]
「何だよ……罠は一度しか発動しないんだろ！？」[p]
『では、お答えしましょう！[r]
2回目に通る人物に対して発動するようにしたのです！』[p]
[r]
「…………」[p]
【イカル】[r]
「……」[p]
『あれ？　喜んでよ！　あと1人だけだよ？[r]
1人殺す手間と、殺される恐怖が減ったでしょ？』[p]

[r]
「……うるさい！」[p]
なんだこいつは！[r]
人の命をただの数と一緒くたにして……！[p]
;廊下
[back storage=rouka.jpg time=500]
[l]
[chara_show name="ikaru" ]
廊下にイカル君が出てくる。[p]
【イカル】[r]
「マジで死ぬんだな……」[p]
せめて、なんとか2人で出られないだろうか。[p]
[r]
「イカル君……」[p]
[chara_mod name="ikaru" storage="ikaruangry.png"]
【イカル】[r]
「寄るな！　俺、ぜってぇ生き残るからな！」[p]
[chara_hide name="ikaru" ]

……イカル君は去って行った。[p]
自分も、どこかへ行ってみよう。[p]
そして、自分だけでも……[l]生き残ろう。[p]

[skipstop]

どこへ行こうか。[p]
[link storage=third.ks target=*7]
家庭科室前[endlink][r]
[link storage=second.ks target=*8]
階段[endlink][l][p]


